Subject: [bug#39674] [PATCH] enable PostScript backend in Evince

From: raingloom <[email-masked]>
Date: Sun, 23 Feb 2020 00:24:37 +0100

Looks like it's an optional feature in Arch, provided by installing the 
texlive optional dependency.
Isn't that enough on Guix as well? I have no DVI files on hand to test 
it.

https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/evince&id=f1f028f091aa277ffac13388e01d2d0f2f396fab

On Thu, Feb 20, 2020 at 08:05, Nicolò Balzarotti 
<[email-masked]> wrote:
> Should we enable DVI too? What are other distributions doing?
> 
> Nicolò Balzarotti <[email-masked]> writes:
> 
>>  Thanks!
>> 
>>  I was wondering why it could not open .eps files!  I tested the 
>> patch,
>>  applies, build and now I can open them.  guix size reports +3%
>>  (1009.6 -> 1038.0).
>> 
>>  +1 for merging
>> 
>>  raingloom <[email-masked]> writes:
>> 
>>>  Some of my teacheres distribute notes in .ps files, so I kinda need
>>>  this, and I think others will find it helpful as well.
>>> 
>>>  AFAIK other distros enable it too.
>>> 
>>>  Much easier than converting PostScript files to PDF.
>>> 
>>>  From c767aa2d6a3d779d90e8185e313892eb2212dd37 Mon Sep 17 00:00:00 
>>> 2001
>>>  From: raingloom <[email-masked]>
>>>  Date: Wed, 19 Feb 2020 12:47:42 +0100
>>>  Subject: [PATCH] gnu: evince: --enable-ps
>>> 
>>>  ---
>>>   gnu/packages/gnome.scm | 3 ++-
>>>   1 file changed, 2 insertions(+), 1 deletion(-)
>>> 
>>>  diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
>>>  index 3c63ab283d..5fae5d11ad 100644
>>>  --- a/gnu/packages/gnome.scm
>>>  +++ b/gnu/packages/gnome.scm
>>>  @@ -1502,7 +1502,8 @@ forgotten when the session ends.")
>>>                  
>>> "05q6v9lssd21623mnj2p49clj9v9csw9kay7n4nklki025grbh1w"))))
>>>       (build-system glib-or-gtk-build-system)
>>>       (arguments
>>>  -     `(#:configure-flags '("--disable-nautilus" 
>>> "--enable-introspection")
>>>  +     `(#:configure-flags '("--disable-nautilus" 
>>> "--enable-introspection"
>>>  +                           "--enable-ps")
>>>          #:phases
>>>          (modify-phases %standard-phases
>>>            (add-before 'install 'skip-gtk-update-icon-cache
>>>  --
>>>  2.25.0